/rocketreach | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
rocketreach_check_person_lookup_status | Check person lookup status |
rocketreach_get_account | Get account information |
rocketreach_lookup_person | Lookup person contact information |
rocketreach_search_people | Search for people |
rocketreach_check_person_lookup_status
Check person lookup status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The RocketReach person ID to check status for. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The RocketReach person ID to check status for."
}
},
"required": [
"PCID",
"id"
]
}
rocketreach_get_account
Get account informationShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
rocketreach_lookup_person
Lookup person contact information Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | No | — | RocketReach internal person ID returned by searches. |
name | string | No | — | Full name of the person. Should be specified along with current_employer. |
current_employer | string | No | — | Current employer of the person. Should be specified along with name. |
title | string | No | — | Job title of the person. May improve match rate. |
linkedin_url | string | No | — | LinkedIn profile URL of the person to look up. |
email | string | No | — | A known email address of the person. May improve match rate. |
lookup_type | string | No | — | Specify an alternative lookup type to use if available. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "RocketReach internal person ID returned by searches."
},
"name": {
"type": "string",
"description": "Full name of the person. Should be specified along with current_employer."
},
"current_employer": {
"type": "string",
"description": "Current employer of the person. Should be specified along with name."
},
"title": {
"type": "string",
"description": "Job title of the person. May improve match rate."
},
"linkedin_url": {
"type": "string",
"description": "LinkedIn profile URL of the person to look up."
},
"email": {
"type": "string",
"description": "A known email address of the person. May improve match rate."
},
"lookup_type": {
"type": "string",
"description": "Specify an alternative lookup type to use if available.",
"enum": [
"standard",
"premium",
"bulk",
"phone",
"enrich"
]
}
},
"required": [
"PCID"
]
}
rocketreach_search_people
Search for people Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
order_by | string | No | — | How to order the results. |
page_size | integer | No | — | Maximum number of results to return per page. |
query | object | Yes | — | Search query parameters for filtering people. |
start | integer | No | — | Paginate through results starting from this value (1-based). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"order_by": {
"type": "string",
"description": "How to order the results.",
"enum": [
"relevance",
"popularity",
"score"
]
},
"page_size": {
"type": "integer",
"description": "Maximum number of results to return per page."
},
"query": {
"type": "object",
"description": "Search query parameters for filtering people.",
"properties": {
"name": {
"type": "array",
"items": {
"type": "string"
},
"description": "Person names to search for."
},
"current_title": {
"type": "array",
"items": {
"type": "string"
},
"description": "Current job titles to filter by."
},
"current_employer": {
"type": "array",
"items": {
"type": "string"
},
"description": "Current employer names to filter by."
},
"company_domain": {
"type": "array",
"items": {
"type": "string"
},
"description": "Company domains to filter by."
},
"keyword": {
"type": "array",
"items": {
"type": "string"
},
"description": "Keywords to match in profiles."
},
"location": {
"type": "array",
"items": {
"type": "string"
},
"description": "Geographic locations to filter by (city, state, country)."
},
"industry": {
"type": "array",
"items": {
"type": "string"
},
"description": "Industry names to filter by."
},
"company_size": {
"type": "array",
"items": {
"type": "string"
},
"description": "Company size ranges (e.g. '1-10', '11-50', '51-200')."
},
"revenue": {
"type": "array",
"items": {
"type": "string"
},
"description": "Company revenue ranges to filter by."
},
"education": {
"type": "array",
"items": {
"type": "string"
},
"description": "Educational institutions to filter by."
},
"linkedin_url": {
"type": "array",
"items": {
"type": "string"
},
"description": "LinkedIn profile URLs to search for."
}
}
},
"start": {
"type": "integer",
"description": "Paginate through results starting from this value (1-based)."
}
},
"required": [
"PCID",
"query"
]
}

